[Blends-commit] [SCM] website branch, master, updated. 451360f48cb22cb4744cddcfd769f8ab39670407

Andreas Tille tille at debian.org
Thu Dec 11 16:03:56 UTC 2014


The following commit has been merged in the master branch:
commit 451360f48cb22cb4744cddcfd769f8ab39670407
Author: Andreas Tille <tille at debian.org>
Date:   Thu Dec 11 17:02:49 2014 +0100

    Script to update static content automatically

diff --git a/webtools/check-static-content b/webtools/check-static-content
new file mode 100755
index 0000000..a3b9865
--- /dev/null
+++ b/webtools/check-static-content
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+
+: <<=cut
+
+=head1 NAME
+
+check-static-content - check whether there are changes of static content in Vcs
+
+=head1 SYNOPSIS
+
+check-static-content
+
+=head1 DESCRIPTION
+
+This script checks whether there is any need to update static
+Blends pages.  It pulls the Git repository regularly and is
+supposed to be run in a cron job.
+
+=cut
+
+if [ "--help" = "$1" -o "-h" = "$1" ] ; then
+	pod2man --center "Debian Blends Documentation" check-static-content  | nroff -man
+	exit 1
+fi
+
+cd `dirname $0`
+
+needsupdate=0
+
+cd /srv/blends.debian.org/ && \
+  git pull --quiet 2>/dev/null &&
+    [ -x /usr/local/bin/static-update-component ] && \
+    /usr/local/bin/static-update-component blends.debian.org >/dev/null 2>/dev/null

-- 
Static and dynamic websites for Debian Pure Blends



More information about the Blends-commit mailing list